Subject: Re: [PATCH v5 6/6] makefile/meson: add 'check-headers' as alias for 'hdr-check'

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 23 Apr 2025 13:30:24 +0200

On Wed, Apr 23, 2025 at 10:15:39AM +0200, Karthik Nayak wrote:
> The 'hdr-check' target in Meson and makefile is used to check if headers
> can be compiled individually. The naming however isn't readable as 'hdr'
> is not a common shortforme for 'header', neither is it an abbreviation.
> 
> Let's introduce 'check-headers' as an alternative target for 'hdr-check'
> and add a `TODO` to deprecate the latter after 2 releases. Since this
> is an internal tool, we can use a shorter deprecation cycle.
> 
> Change existing usage of 'hdr-check' in 'ci/run-static-analysis.sh' to
> also use 'check-headers'.

I wondered whether we also want to rename `coccicheck` to
`check-coccinelle` to match. But even if the answer would be "yes" I
don't think that this change would need to be part of this patch series.

Thanks!

Patrick